Load Error and Layer View State Error with MMPK file in ArcGIS Maps SDK

345
1
02-15-2024 02:17 AM
NeilBaines
New Contributor II

I had recently updated to ArcGIS Pro 3.2 and was creating map to then export to an MMPK file and import into my Maps SDK application (running v200.3). 

My workflow in ArcGIS Pro is as follows:

- Create New Map
- Add Data -> Navigate to CSV file
- Right click on table -> Display XY Data -> OK
I now have some features on the map
- Share -> Mobile Map -> Export to Local File

I then import the MMPK file into my Maps SDK application using this code:

if (!File.Exists(path)) return null;

MobileMapPackage mmp = new MobileMapPackage(path);
var load = mmp.LoadAsync();
load.Wait();

var mmpMap = mmp.Maps.First();

return mmpMap;

This then gives me the following errors:

ArcGIS Maps SDK: Load Error: GeodatabaseFeatureTable
Esri.ArcGISRuntime.ArcGISRuntimeException
The client version required by the geodatabase is not yet supported: The feature table contains one or more unsupported field types (esriFieldTypeDateOnly, esriFieldTypeTimeOnly, esriFieldTypeTimestampOffset, esriFieldTypeBigInteger, high precision esriFieldTypeDate, or 64-bit esriFieldTypeOID)

ArcGIS Maps SDK: Load Error: FeatureLayer
Esri.ArcGISRuntime.ArcGISRuntimeException
The client version required by the geodatabase is not yet supported: The feature table contains one or more unsupported field types (esriFieldTypeDateOnly, esriFieldTypeTimeOnly, esriFieldTypeTimestampOffset, esriFieldTypeBigInteger, high precision esriFieldTypeDate, or 64-bit esriFieldTypeOID)

 

These errors were consistent across various CSV files that I tried. This is also new to ArcGIS Pro 3.2, as I reverted to version 2.9 and did the exact same workflow and everything worked as expected in my application. 

I do not have an example MMPK file to hand as it had sensitive data and I've since reverted to Pro 2.9 - but it looks like any CSV file could cause the problem?

Is there a workaround or something I'm doing wrong in ArcGIS Pro 3.2? 

Thanks

 

0 Kudos
1 Reply
dotMorten_esri
Esri Notable Contributor

The specific field types the error is referring to are quite new, and we're currently working on adding support for these in the native Maps SDKs.

0 Kudos